import { select, json, scaleLinear, max, scaleBand } from 'd3'

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const render = data => {
  const xScale = scaleLinear()
  .domain([0, max(data, d => d.capacity)])
  .range([0, 500]);
  
  const yScale = scaleBand()
  	.domain(data.map(d => d.province))
  	// .range();
  console.log(yScale.domain())
  
  console.log('domain is', xScale.range())
  
  svg.selectAll('rect').data(data)
  .enter()
  .append('rect')
  .attr('width', d => xScale(d.capacity))
  .attr('height', 300);
};

const url = 'https://gist.githubusercontent.com/sahitj001/e6e6f8d83952abe03bcfa591be65faa1/raw/061a0fffaf64b2ef62ffdf5e1ec9bcc7e48977fc/garages.json'
const getData = json(url).then(data => {
console.log(data);
  render(data)
});




